; DZ.INI--
; This file contains all the variables that "customize"
; Doszip to your particular needs.
;
; The entries have the following format:
;
; [<Section name>]
; <Entry name>=<properties>
;
; Space and tabs may appear before or after the equal sign.
;
; Last Updated: 5 Des 2012
;
[Filetype]
;cmd=cmd /c
;pdf=cmd /c !.!
;chm=hh
idd=rc
txt=%edit%
asm=%edit%
inc=%edit%
vbs=%edit%
ini=%edit%
h=%edit%
c=%edit%
mak=wmake -a -f
makefile=wmake -a -f
;tar=[0x10000000]
;lzma=[0x20000000]
[View]
;F3=
;Alt=
;Ctrl=
;Shift=
[Edit]
;F3=
;Alt=
;Ctrl=
;Shift=
[Directory]
00=Doszip &Directory,%doszip%
01=<>
02=System &Root,%SYSTEMROOT%
03=&Program Files,%PROGRAMFILES%
04=&Home Path,%HOMEDRIVE%%HOMEPATH%
05=&User Profile,%USERPROFILE%
06=<>
07=&Temp Directory,%TEMP%
[Tools]
00=&Add tool,%edit% %dz%\dz.ini
01=<>
02=View &DOSZIP.TXT,%view% %dz%\doszip.txt
[Filter]
00=&Executable,*.exe *.com *.bat
01=&Compressed,*.lzh *.zoo *.zip *.arj *.pak *.arc *.7z *.bz2 *.tar
02=&Source code,*.asm *.inc *.c *.h
[Load]
;00=mode con lines=25
[Exit]
;00=echo Goodbye
[MKList]
00=Delete .err files,err.bat@del %f\n
01=Object list1,objects1.mif@%n.obj \\\n
02=Object list2,objects2.mif@%n.obj &\n
[Comspec]
;00=%SYSTEMROOT%\SYSTEM32\CMD.EXE
;01=/S /C
[AltF3]
asm=err asm -D__l__ -X -I%doszip%\inc -Fl -Sg -D__DZ__
[ShiftF3]
asm=err asm -D__l__ -DDEBUG -X -I%doszip%\inc -Fl -Sg -Zd
[Compress]
00=7Z  - 7-Zip (C) Igor Pavlov
01=ARJ - ARJ (C) Robert K. Jung
02=RAR - RAR (C) E. Roshal
[7Z  - 7-Zip (C) Igor Pavlov]
00=7za u -y -scsDOS
02=.7z
[ARJ - ARJ (C) Robert K. Jung]
00=arj u -jm -y
01=!
02=.arj
[RAR - RAR (C) E. Roshal]
00=rar u -y
02=.rar
[Decompress]
00=.7Z
01=.ARJ
02=.RAR
03=.TAR
[.7Z]
00=7za x -y -scsDOS
01=-o
[.ARJ]
00=arj x -y
[.RAR]
00=rar x -y
[.TAR]
00=7za x -y -ttar -scsDOS
01=-o
